Inquiry Quotation
Developing
Use this call to inquiry the FX quotation.
Request
Body Params application/jsonRequired
{
"requestId": "202603121734008",
"currencyPair": "EURCNY",
"baseCurrency": "EUR",
"amount": "100",
"tenor": "TODAY"
}
Request Code Samples
curl --location --request POST 'https://api.geoaccount.com/api/v1/quotes' \
--header 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.xxxxx' \
--header 'GS-API-Key: gs_live_abc123def456789' \
--header 'GS-Timestamp: 1710000000' \
--header 'GS-Nonce: 9f8e7d6c5b4a3210' \
--header 'GS-Signature: dGhpcyBpcyBhIGZha2Ugc2lnbmF0dXJlCg==' \
--header 'Idempotency-Key: a1b2c3d4-e5f6-7890-g1h2-i3j4k5l6m7n8' \
--header 'Content-Type: application/json' \
--data-raw '{
"requestId": "202603121734008",
"currencyPair": "EURCNY",
"baseCurrency": "EUR",
"amount": "100",
"tenor": "TODAY"
}'
Responses
application/json {
"requestId": "202603121734008",
"quoteId": "6d3ccda0-75c0-4d5e-b3ba-6e9d9f27d799",
"requestTime": "2026-03-12T10:35:08.436Z",
"currencyPair": "EURCNY",
"baseCurrency": "EUR",
"settlementTime": "2020-07-03 06:00:00Z",
"settlementType": "balance",
"amount": "100.00",
"exchangeRate": "7.938587",
"convertedAmount": "793.86",
"quoteValidUntil": "2020-07-02 09:08:29Z",
"quoteTimestamp": "2020-07-02 09:07:38Z",
}
Modified at 2026-03-27 07:37:46